Name:           megi-kernel-fedora
Version:        6.15.6
Release:        1%{?dist}
Summary:        latest megi kernel for the pinephone, pinetab and the pinefhone pro 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.12
Source0:        pinephones.tar.gz

#BuildArch:      aarch64

Requires:       /bin/bash
Requires:       /bin/sh

BuildRequires:  /bin/bash
BuildRequires:  /bin/sh

Conflicts:      megi-kernel-pboot
Conflicts:      megi-kernel-tab
Conflicts:      megi-kernel-ppp

%description
Megis version of the Linux Kernel, for PinePhone, PinePhone Pro and PineTab

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
#mkdir -p $RPM_BUILD_ROOT/boot/pboot/
mkdir -p $RPM_BUILD_ROOT/boot/efi/
cp Image $RPM_BUILD_ROOT/boot/efi/
cp linux.config $RPM_BUILD_ROOT/boot/efi/
mkdir -p $RPM_BUILD_ROOT/boot/efi/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
/boot/efi/linux.config
/lib/modules/
/boot/efi/allwinner/
/boot/efi/rockchip/

%changelog
* Fri Jul 11 2025 Yoda - 6.15.6-1
- Upgrade to 6.15.6

* Mon Jul 07 2025 Yoda - 6.15.5-1
- Upgrade to 6.15.5

* Mon Jun 09 2025 Yoda - 6.15.1-1
- Upgrade to 6.15.1

* Mon May 26 2025 Yoda - 6.14.8-1
- Upgrade to 6.14.8

* Mon Apr 28 2025 Yoda - 6.14.4-1
- Upgrade to 6.14.4

* Sat Apr 12 2025 Yoda - 6.14.2-1
- Upgrade to 6.14.2

* Sun Mar 23 2025 Yoda - 6.13.8-1
- Upgrade to 6.13.8

* Mon Feb 10 2025 Yoda - 6.13.2-1
- Upgrade to 6.13.2

* Wed Jan 29 2025 Yoda - 6.13.0-1
- Upgrade to 6.13.0

* Sun Jan 05 2025 Yoda - 6.12.8-1
- Upgrade to 6.12.8

* Mon Nov 25 2024 Yoda - 6.12.1-1
- Upgrade to 6.12.1

* Sat Nov 23 2024 Yoda - 6.11.10-1
- Upgrade to 6.11.10

* Sat Nov 16 2024 Yoda - 6.11.8-1
- Upgrade to 6.11.8
- Almost all modules moved to =y

* Mon Nov 11 2024 Yoda - 6.11.5-1
- Upgrade to 6.11.5

* Thu Aug 29 2024 Yoda - 6.10.3-1
- Upgrade to 6.10.3

* Thu Aug 08 2024 Yoda - 6.10.2-1
- Upgrade to 6.10.2

* Thu Jul 18 2024 Yoda - 6.10.0-1
- Upgrade to 6.10.0

* Tue Jul 16 2024 Yoda - 6.9.9-1
- Upgrade to 6.9.9

* Tue Jul 02 2024 Yoda - 6.9.7-1
- Upgrade to 6.9.7

* Mon Jun 10 2024 Yoda - 6.9.3-1
- Upgrade to 6.9.3
- Fix for PPP camera suspend issue

* Mon May 13 2024 Yoda - 6.8.9-1
- Upgrade to 6.8.9

* Wed May 01 2024 Yoda - 6.8.8-1
- Upgrade to 6.8.8

* Mon Mar 11 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0

* Fri Mar 08 2024 Yoda - 6.7.9-1
- Upgrade to 6.7.9

* Sun Mar 03 2024 Yoda - 6.7.7-1
- Upgrade to 6.7.7

* Wed Feb 28 2024 Yoda - 6.7.6-1
- Upgrade to 6.7.6

* Wed Feb 07 2024 Yoda - 6.7.4-1
- Upgrade to 6.7.4

* Wed Jan 31 2024 Yoda - 6.7.2-1
- Upgrade to 6.7.2

* Mon Jan 29 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Sat Dec 16 2023 Yoda - 6.6.6-1
- Upgrade to 6.6.6
- Changed build scripts to use codeberg.org

* Wed Nov 29 2023 Yoda - 6.6.3-1
- Upgrade to 6.6.3

* Wed Nov 08 2023 Yoda - 6.6.0-1
- Upgrade to 6.6.0

* Mon Oct 09 2023 Yoda - 6.5.6-1
- Upgrade to 6.5.6

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Fri Sep 15 2023 Yoda - 6.4.16-1
- Upgrade to 6.4.16

* Sat Sep 09 2023 Yoda - 6.4.15-1
- Upgrade to 6.4.15

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7
- Initial package for PHOSH images layout (3 partitions)

